<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


  <xsl:template match="class">
    <xsl:variable name="hrefName"><xsl:value-of select="concat(translate(../../@name, '.', '/'), '/', @name, '.html')"/></xsl:variable>
    <A Target="classFrame">
          <xsl:attribute name="Href"><xsl:value-of select="$hrefName"/></xsl:attribute>
      <xsl:value-of select="@name" />
        </A><BR/>
  </xsl:template>

  <xsl:template match="package">
        <xsl:apply-templates select="classes/class">
          <xsl:sort select="@name"/>
        </xsl:apply-templates>
  </xsl:template>

  <xsl:template match="packages">
    <xsl:result-document href="overview-frame.html" format="html">
      <HTML>
          <HEAD>
            <TITLE>All Classes</TITLE>
                <LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style"/>
          </HEAD>
          <BODY>
        <TABLE BORDER="0" WIDTH="100%" SUMMARY="">
          <TR>
            <TH ALIGN="left">
                          <FONT size="+1" CLASS="FrameTitleFont">
                <B>All Classes</B>
                          </FONT>
                        </TH>
          </TR>
        </TABLE>
        <xsl:apply-templates select="package"/>
          </BODY>
        </HTML>
     </xsl:result-document>
  </xsl:template>

  <xsl:template match="/class">
    <A Href="">
          <xsl:value-of select="@name" />
        </A>
  </xsl:template>
  <!-- Identity function - Simply pass things through! -->
  <!--
  <xsl:template match="@*|*|processing-instruction()|comment()">
    <xsl:copy>
      <xsl:apply-templates select="*|@*|text()|processing-instruction()|comment()"/>
    </xsl:copy>
  </xsl:template>
  -->
</xsl:stylesheet>
